%global        srcname         olefile

Summary:       Python package to parse, read and write Microsoft OLE2 files
Name:          python-olefile
Version:       0.47
Release:       1%{?dist}
License:       BSD
URL:           https://www.decalage.info/olefile
Source0:       https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.zip

BuildRequires: make dos2unix /usr/bin/find
BuildArch:     noarch

%description
olefile is a Python package to parse, read and write Microsoft OLE2 files (also called Structured
Storage, Compound File Binary Format or Compound Document File Format), such as Microsoft Office
97-2003 documents, vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,
Outlook messages, StickyNotes, several Microscopy file formats, McAfee antivirus quarantine files, etc.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:       Python package to parse, read and write Microsoft OLE2 files
BuildRequires: python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{srcname}
olefile is a Python package to parse, read and write Microsoft OLE2 files (also called Structured
Storage, Compound File Binary Format or Compound Document File Format), such as Microsoft Office
97-2003 documents, vbaProject.bin in MS Office 2007+ files, Image Composer and FlashPix files,
Outlook messages, StickyNotes, several Microscopy file formats, McAfee antivirus quarantine files, etc.
Python3 version.

%prep
%autosetup -p1 -n %{srcname}-%{version}

find ./ -type f -name '*.py' -exec dos2unix '{}' ';'
dos2unix doc/*.rst

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} tests/test_olefile.py

%files -n python%{python3_pkgversion}-%{srcname}
%license doc/License.rst
%doc README.md
%{python3_sitelib}/olefile-*.egg-info
%{python3_sitelib}/olefile/

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.47-1
- Upgrade to version 0.47

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.46-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.46-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.46-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.46-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 Shuo Wang <abushwang@tencent.com> - 0.46-1
- initial build
